commit:     d89786cb1d45ea18df86e694c44dda76b5c67033
Author:     Anna Vyalkova <cyber <AT> sysrq <DOT> in>
AuthorDate: Sun May 16 13:46:54 2021 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sun May 16 14:05:03 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d89786cb

sci-mathematics/chaco: fix CC

Closes: https://bugs.gentoo.org/785166
Signed-off-by: Anna Vyalkova <cyber <AT> sysrq.in>

 sci-mathematics/chaco/chaco-2.2.ebuild | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

diff --git a/sci-mathematics/chaco/chaco-2.2.ebuild 
b/sci-mathematics/chaco/chaco-2.2.ebuild
index 745dd01c6..f7d0a7d15 100644
--- a/sci-mathematics/chaco/chaco-2.2.ebuild
+++ b/sci-mathematics/chaco/chaco-2.2.ebuild
@@ -1,7 +1,9 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="7"
+EAPI=7
+
+inherit toolchain-funcs
 
 DESCRIPTION="Software for Partitioning Graphs"
 
HOMEPAGE="https://www3.cs.stonybrook.edu/~algorith/implement/chaco/implement.shtml";
@@ -13,10 +15,13 @@ KEYWORDS="~amd64 ~x86"
 PATCHES=( "${FILESDIR}/makefile.patch" )
 S="${WORKDIR}/Chaco-${PV}"
 
+src_compile() {
+       cd code || die
+       tc-export CC
+       default
+}
+
 src_install() {
-       pushd code || die
-       emake
-       popd || die
        dobin "exec/chaco"
        dodoc -r doc/.
 }

Reply via email to